### Signal

# WebKit WebInspector::detach

#### Declaration

    gboolean
    detach (
      WebKitWebInspector* self,
      gpointer user_data
    )

#### Description [src]

Emitted when the inspector is requested to be detached from the window it is currently attached to. The inspector is detached when the inspector page is about to be closed, and this signal is emitted right before `WebKitWebInspector::closed`, or when the user clicks on the detach button in the inspector view to show the inspector in a separate window. In this case the signal `WebKitWebInspector::open-window` is emitted after this one.

To prevent the inspector view from being detached you can connect to this signal and simply return `TRUE`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Return value

Returns: | `gboolean`
| `TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.